<style>
  .label_icon {
    cursor: pointer;
  }
  #labels_used div {
    border: 1px solid #777;
    border-radius: 2px;
    padding-left: 2px;
    cursor: pointer;
  }
</style>

<div class="modal-header">
  <h5 class="modal-title" id="exampleModalLabel"><%= @modal_title.nil? ? t('modal_ishi_title') : @modal_title %></h5>
  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>

<div class="modal-body">

  <div class="row">
    <div class="col-md-6 admin-col">
      <div class="admin-col-title"><%= t('modal_ishi_lbl_use') %></div>
      <%= form_with url: labels_cause_types_list_set_path do |form| %>
        <%= hidden_field_tag 'step_tool', @step_tool.id %>
        <div id='labels_used' class="admin-col-content">
          <% @list_labels.each do |label_id| %>
            <% label = Labels::CauseType.find(label_id) %>
            <div id='<%= label.id %>'> <!-- class='label_change_used label_used'> -->
              <span class='label_icon label_change_used label_used'><%= fa_icon('minus-square') %></span>
              <%= hidden_field_tag "labels_ids[]", label.id %>
              <%= label.name %>
            </div>
          <% end %>
        </div>
        <br>
        <%= form.submit t('modal_ishi_valid') %>
      <% end %>
    </div>
    <div class="col-md-6 admin-col">
      <div class="admin-col-title"><%= t('modal_ishi_lbl_un_use') %></div>
      <div id='labels_unused' class="admin-col-content">
        <% @labels.each do |label| %>
          <% unless @list_labels.include?(label.id) %>
            <div id='<%= label.id %>'> <!-- class='label_change_used label_unused'> -->
              <span class='label_icon label_change_used label_unused'><%= fa_icon('plus-square') %></span>
              <%= hidden_field_tag "labels_ids[]", label.id %>
              <%= label.name %>
            </div>
          <% end %>
        <% end %>
      </div>
    </div>
  </div>
</div>

<!-- <div class="modal-footer">
</div> -->

<script text="javascript">
  $(function() {
    $(".label_change_used").click(function(event) {
      console.log("Del label");
      console.log(this.value);

      if($(this).hasClass('label_unused')) {
        console.log("Add label");
        $(this).removeClass('label_unused').addClass('label_used');
        $(this).parent().detach().appendTo('#labels_used');
        // $(this).find('.label_icon').html('<%= fa_icon("minus-square") %>');
        $(this).html('<%= fa_icon("minus-square") %>');
      }
      else {
        console.log("Del label");
        $(this).removeClass('label_used').addClass('label_unused');
        $(this).parent().detach().appendTo('#labels_unused');
        // $(this).find('.label_icon').html('<%= fa_icon("plus-square") %>');
        $(this).html('<%= fa_icon("plus-square") %>');
      }
    });

    $("#labels_used").sortable();
  });
</script>
